## org.eclipse.emf.importer.java
Class JavaImporterApplication

    java.lang.Object
      org.eclipse.emf.importer.ModelImporterApplication
          org.eclipse.emf.importer.java.JavaImporterApplication

All Implemented Interfaces:
  IApplication

    public class JavaImporterApplication

extends ModelImporterApplication

Since:
  2.3.0

Nested Class Summary
`static class` `JavaImporterApplication.PackageInfo`

Field Summary
`protected IPath` `genModelLocation`
`protected java.util.Map<java.lang.String,JavaImporterApplication.PackageInfo>` `nameToPackageInfo`

Fields inherited from class org.eclipse.emf.importer.ModelImporterApplication
`copyright, editFragmentPath, editorFragmentPath, editorProjectLocationPath, editProjectLocationPath, genJDKLevel, genModelFullPath, modelFragmentPath, modelImporter, modelLocations, modelPluginID, modelProjectLocationPath, NL, quiet, referencedEPackages, referencedGenModelURIToEPackageNSURIs, reload, sdo, templatePath, testsFragmentPath, testsProjectLocationPath, validateModel`

Fields inherited from interface org.eclipse.equinox.app.IApplication
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`JavaImporterApplication()`

Method Summary
`protected void` `adjustEPackages(Monitor monitor)`
`protected void` `adjustModelImporter(Monitor monitor)`
`protected void` `adjustModelImporterAfterPrepare()`
`protected ModelImporter` `createModelImporter()`
`JavaImporter` `getJavaImporter()`
`protected java.lang.StringBuffer` `getUsage()`
`protected int` `processArgument(java.lang.String[] arguments, int index)`
`protected int` `processModelAndGenModelLocationArguments(java.lang.String[] arguments, int index)`
`protected int` `processModelProjectArguments(java.lang.String[] arguments, int index)`
`protected int` `processPackageInformation(java.lang.String[] arguments, int index, java.util.Map<java.lang.String,JavaImporterApplication.PackageInfo> nsURIToPackageInfo)`
`protected void` `traverseEPackages(java.util.List<EPackage> ePackages)`
`protected boolean` `usePlatformURI()`

Methods inherited from class org.eclipse.emf.importer.ModelImporterApplication
`adjustAttributes, adjustGenModel, appendLine, computeEPackages, doExecute, execute, getModelImporter, getProgressMonitor, handleEPackage, handleGenModelPath, handleQualifiedEPackageName, handleReferencedEPackages, handleUnrecognizedArgument, printUsage, processArguments, run, run, run, setSDODefaults, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nameToPackageInfo

    protected java.util.Map<java.lang.String,JavaImporterApplication.PackageInfo> nameToPackageInfo

### genModelLocation

    protected IPath genModelLocation

Constructor Detail

### JavaImporterApplication

    public JavaImporterApplication()

Method Detail

### getJavaImporter

    public JavaImporter getJavaImporter()

### createModelImporter

    protected ModelImporter createModelImporter()

  Specified by:
    `createModelImporter` in class `ModelImporterApplication`

### getUsage

    protected java.lang.StringBuffer getUsage()

  Specified by:
    `getUsage` in class `ModelImporterApplication`

### processModelAndGenModelLocationArguments

    protected int processModelAndGenModelLocationArguments(java.lang.String[] arguments,
                                                           int index)

  Overrides:
    `processModelAndGenModelLocationArguments` in class `ModelImporterApplication`

### processModelProjectArguments

    protected int processModelProjectArguments(java.lang.String[] arguments,
                                               int index)

  Overrides:
    `processModelProjectArguments` in class `ModelImporterApplication`

### processArgument

    protected int processArgument(java.lang.String[] arguments,
                                  int index)

  Overrides:
    `processArgument` in class `ModelImporterApplication`

### processPackageInformation

    protected int processPackageInformation(java.lang.String[] arguments,
                                            int index,
                                            java.util.Map<java.lang.String,JavaImporterApplication.PackageInfo> nsURIToPackageInfo)

### usePlatformURI

    protected boolean usePlatformURI()

  Overrides:
    `usePlatformURI` in class `ModelImporterApplication`

### adjustModelImporter

    protected void adjustModelImporter(Monitor monitor)

  Overrides:
    `adjustModelImporter` in class `ModelImporterApplication`

### adjustModelImporterAfterPrepare

    protected void adjustModelImporterAfterPrepare()

  Overrides:
    `adjustModelImporterAfterPrepare` in class `ModelImporterApplication`

### adjustEPackages

    protected void adjustEPackages(Monitor monitor)

  Overrides:
    `adjustEPackages` in class `ModelImporterApplication`

### traverseEPackages

    protected void traverseEPackages(java.util.List<EPackage> ePackages)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.